openshot::InvalidJSONKey Class Reference

Exception for missing JSON Change key. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::InvalidJSONKey:

## Public Member Functions

| InvalidJSONKey (string message, string json)
virtual | ~InvalidJSONKey () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

string | json

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception for missing JSON Change key.

Definition at line 182 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidJSONKey()

openshot::InvalidJSONKey::InvalidJSONKey | ( | string | message,
|  | string | json
| ) |  |

inline

Definition at line 186 of file Exceptions.h.

## ~InvalidJSONKey()

virtual openshot::InvalidJSONKey::~InvalidJSONKey | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 188 of file Exceptions.h.

## Member Data Documentation

## json

string openshot::InvalidJSONKey::json

Definition at line 185 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h